intern-0.9.1.1: Efficient hash-consing for arbitrary data types

Safe Haskell | None

Data.Interned.Internal.Text

# Documentation

data InternedText Source

Constructors

InternedText |

Fields

internedTextId :: !Id
uninternedText :: !Text

Instances

Eq InternedText |
Ord InternedText |
Show InternedText |
IsString InternedText |
Uninternable InternedText |
Interned InternedText |
Eq (Description InternedText) |
Hashable (Description InternedText) |